org.apache.tinkerpop.gremlin.process.traversal.util

## Class BytecodeHelper

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.util.BytecodeHelper

-     public final class BytecodeHelper
      extends Object

  Utility class for parsing `Bytecode`.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `detachElements(Bytecode bytecode)`
    `static Bytecode` | `filterInstructions(Bytecode bytecode, Predicate<Bytecode.Instruction> predicate)`
    `static <A extends TraversalStrategy> Iterator<A>` | `findStrategies(Bytecode bytecode, Class<A> clazz)` Parses `Bytecode` to find `TraversalStrategy` objects added in the source instructions.
    `static Optional<String>` | `getLambdaLanguage(Bytecode bytecode)`
    `static boolean` | `isGraphOperation(Bytecode bytecode)` Checks if the bytecode is one of the standard `GraphOp` options.
    `static void` | `removeBindings(Bytecode bytecode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### findStrategies

          public static <A extends TraversalStrategy> Iterator<A> findStrategies(Bytecode bytecode,
                                                                                 Class<A> clazz)

      Parses `Bytecode` to find `TraversalStrategy` objects added in the source instructions.

    - #### filterInstructions

          public static Bytecode filterInstructions(Bytecode bytecode,
                                                    Predicate<Bytecode.Instruction> predicate)

    - #### isGraphOperation

          public static boolean isGraphOperation(Bytecode bytecode)

      Checks if the bytecode is one of the standard `GraphOp` options.

    - #### getLambdaLanguage

          public static Optional<String> getLambdaLanguage(Bytecode bytecode)

    - #### removeBindings

          public static void removeBindings(Bytecode bytecode)

    - #### detachElements

          public static void detachElements(Bytecode bytecode)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.